package io.gitlab.jfronny.quickmeth;

import net.minecraft.util.math.MathHelper;

public class MathUtil {
    public static double BoxedInvert(double min, double max, double value) {
        return max - value + min;
    }

    public static double BoxedInvert(double value) {
        return BoxedInvert(MathHelper.floor(value), MathHelper.ceil(value), value);
    }

    public static float BoxedInvert(float min, float max, float value) {
        return max - value + min;
    }

    public static float BoxedInvert(float value) {
        return BoxedInvert(MathHelper.floor(value), MathHelper.ceil(value), value);
    }

    public static long BoxedInvert(long min, long max, long value) {
        return max - value + min;
    }

    public static long BoxedInvert(long value) {
        return BoxedInvert(MathHelper.floor(value), MathHelper.ceil(value), value);
    }

    public static int BoxedInvert(int min, int max, int value) {
        return max - value + min;
    }

    public static int BoxedInvert(int value) {
        return BoxedInvert(MathHelper.floor(value), MathHelper.ceil(value), value);
    }
}
